Subject: bug#22627: 25.1.50; Wishlist: It would be nice if the grep buffer had a history

From: Lars Magne Ingebrigtsen <[email-masked]>
Date: Sun, 03 Apr 2016 19:41:32 +0200

Eli Zaretskii <[email-masked]> writes:

> Unlike Web pages, Grep searches are not connected by any links, so
> traversing the history one buffer at a time will be frustrating and
> unnatural, when there are a lot of them.  By contrast, naming them
> uniquely will allow switching to the right one immediately.

That's true, so having an additional feature for multiple-buffer grep
commands would also be nice, but it's an orthogonal issue.  My common
use case is that I grep for "featurep 'xemacs", and then I grep for a
different function, and when I'm finished with that, I just want to
return to my previous search.  The `r'/`l' commands fit that perfectly.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no